Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003201Zandronum[All Projects] Bugpublic2017-07-27 17:162017-08-03 18:33
ReporterKorshun 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version2.1 
Target Version3.1Fixed in Version 
Summary0003201: A_StopSound doesn't work in CustomInventory Picktup state online
DescriptionA_StopSound works fine in multilpayer on weapons, but not in CustomInventory Pickup state.
Steps To ReproduceRun the wad and puke 1 to get an item that calls A_PlaySound with looping chainsaw sound.

puke 2 to get an item that calls A_StopSound, which only works in singleplayer.
Additional InformationThis bug is present in both 2.1.2 and 3.0.
Attached Files? file icon CustomInventory_StopSound.wad [^] (742 bytes) 2017-07-27 17:16

- Relationships

-  Notes
User avatar (0018103)
Dusk (developer)
2017-07-27 20:13

A_StopSound doesn't have any netcode at all.
User avatar (0018104)
Korshun (reporter)
2017-07-27 20:31

Yes, it sends no servercommands. But it works on weapons!
User avatar (0018112)
HexaDoken (reporter)
2017-07-28 10:13

Yo.

Editing the example wad really quickly to have the StopSound item's Pickup state to end with Stop instead of Fail makes it properly work online.
User avatar (0018113)
Fused (reporter)
2017-07-28 10:57

Quote

Editing the example wad really quickly to have the StopSound item's Pickup state to end with Stop instead of Fail makes it properly work online.


Can confirm this fixed the issue on my end.
User avatar (0018138)
Dusk (developer)
2017-08-03 16:56

I've fixed this in a new fork, will put for review when 3.0 is released.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: Korshun Fused
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-07-27 17:16 Korshun New Issue
2017-07-27 17:16 Korshun File Added: CustomInventory_StopSound.wad
2017-07-27 20:12 Dusk Assigned To => Dusk
2017-07-27 20:12 Dusk Status new => confirmed
2017-07-27 20:13 Dusk Note Added: 0018103
2017-07-27 20:13 Dusk Target Version => 3.1
2017-07-27 20:31 Korshun Note Added: 0018104
2017-07-28 10:13 HexaDoken Note Added: 0018112
2017-07-28 10:57 Fused Note Added: 0018113
2017-08-03 16:56 Dusk Status confirmed => assigned
2017-08-03 16:56 Dusk Note Added: 0018138
2017-08-03 18:27 Fused Note Added: 0018139
2017-08-03 18:33 Fused Note Edited: 0018139 View Revisions
2017-08-04 20:06 Fused Note Deleted: 0018139






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker